Current API principal and plan limits
const url = 'https://api.pomeloanalytics.com/v1/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pomeloanalytics.com/v1/me \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Optional idempotency/request correlation identifier.
Responses
Section titled “Responses”OK
object
Deprecated compatibility mirror of product.runtime_plan_id. The canonical product object is product. This field is retained for compatibility and must not be used by new integrations. No removal will happen before 2026-07-03T00:00:00Z.
Deprecated compatibility mirror of product.product_retention.api_retention_days. This field is retained for compatibility and must not be used by new integrations. No removal will happen before 2026-07-03T00:00:00Z.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "plan_id": "free", "product": { "runtime_plan_id": "free", "default_collection_profile": "strict", "product_retention": { "workspace_retention": { "kind": "fixed", "unit": "days" } }, "api": { "availability": "none" }, "exports": { "level": "none" }, "dashboard": { "hourly_level": "none", "essential_level": "none", "standard_level": "none", "breakdowns_standard_level": "none", "breakdowns_high_cardinality_level": "none", "team_management_level": "none" }, "capabilities": { "collection": { "level": "none", "data_envelope": "strict", "maturity": "implemented" }, "reports": { "level": "none", "data_envelope": "strict", "maturity": "implemented" }, "acquisition": { "level": "none", "data_envelope": "strict", "maturity": "implemented" }, "advanced_actions": { "level": "none", "data_envelope": "strict", "maturity": "implemented" }, "multi_tenant": { "level": "none", "data_envelope": "strict", "maturity": "implemented" }, "exports": { "level": "none", "data_envelope": "strict", "maturity": "implemented" }, "api": { "level": "none", "data_envelope": "strict", "maturity": "implemented" } } }}Headers
Section titled “Headers”Request identifier for troubleshooting.
Maximum requests allowed during current short window.
Remaining requests in current short window.
Unix timestamp when short window resets.
Invalid or revoked API token.
object
object
object
Example
{ "error": { "code": "UNAUTHORIZED" }}Headers
Section titled “Headers”Request identifier for troubleshooting.
Request was throttled.
object
object
object
Example
{ "error": { "code": "UNAUTHORIZED" }}Headers
Section titled “Headers”Request identifier for troubleshooting.
Maximum requests allowed during current short window.
Remaining requests in current short window.
Unix timestamp when short window resets.